Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.stream.message
Class ResetMessage

    java.lang.Object
      org.red5.server.messaging.AbstractMessage
          org.red5.server.stream.message.ResetMessage

All Implemented Interfaces:
  IMessage

    public class ResetMessage

extends AbstractMessage

To notify the client to reset the playing state.

Author:
  The Red5 Project (red5@osflash.org), Steven Gong (steven.gong@gmail.com)

Field Summary

Fields inherited from class org.red5.server.messaging.AbstractMessage
`correlationID, extraHeaders, messageID, messageType`

Constructor Summary
`ResetMessage()`

Method Summary

Methods inherited from class org.red5.server.messaging.AbstractMessage
`getBooleanProperty, getByteProperty, getCorrelationID, getDoubleProperty, getFloatProperty, getIntProperty, getLongProperty, getMessageID, getMessageType, getObjectProperty, getShortProperty, getStringProperty, setBooleanProperty, setByteProperty, setCorrelationID, setDoubleProperty, setFloatProperty, setIntProperty, setLongProperty, setMessageID, setMessageType, setObjectProperty, setShortProperty, setStringProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResetMessage

    public ResetMessage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project